## plasma-activities-stats 6.1.5

=== CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.1.5")
set(PROJECT_VERSION_MAJOR 6)
project(PlasmaActivitiesStats VERSION ${PROJECT_VERSION})

set(PROJECT_DEP_VERSION "6.1.5")
set(QT_MIN_VERSION "6.6.0")
set(KF6_MIN_VERSION "6.2.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(KASTATS_CURRENT_ROOT_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePkgConfigFile)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Sql)

find_package(KF6Config ${KF6_MIN_VERSION} CONFIG REQUIRED)
find_package(PlasmaActivities ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
find_package(Threads REQUIRED)

include(CMakePackageConfigHelpers)
include(ECMSetupVersion)

set(plasmaactivitiesstats_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/plasmaactivitiesstats_version.h")
ecm_setup_version (
   PROJECT
   VARIABLE_PREFIX PLASMAACTIVITIESSTATS
   VERSION_HEADER ${plasmaactivitiesstats_version_header}
   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/PlasmaActivitiesStatsConfigVersion.cmake"
   SOVERSION 1
   )
ecm_set_disabled_deprecation_versions(
    QT 6.4.0
    KF 5.102.0
)

add_subdirectory(src)
if(BUILD_TESTING)
  set(Boost_NO_BOOST_CMAKE ON)
  find_package(Boost 1.49)
  if (Boost_FOUND)
    add_subdirectory(autotests)
  endif()
  add_subdirectory(tests)
endif(BUILD_TESTING)

set (CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/PlasmaActivitiesStats")

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS PlasmaActivitiesStats_QCH
        FILE PlasmaActivitiesStatsLibraryQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/PlasmaActivitiesStatsLibraryQchTargets.cmake\")")
endif()

install(
   EXPORT PlasmaActivitiesStatsLibraryTargets
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   FILE PlasmaActivitiesStatsLibraryTargets.cmake
   NAMESPACE Plasma::
   )

configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/PlasmaActivitiesStatsConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/PlasmaActivitiesStatsConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
   )

install(
   FILES "${CMAKE_CURRENT_BINARY_DIR}/PlasmaActivitiesStatsConfig.cmake"
         "${CMAKE_CURRENT_BINARY_DIR}/PlasmaActivitiesStatsConfigVersion.cmake"
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   COMPONENT Devel
   )

install(
   FILES ${plasmaactivitiesstats_version_header}
   DESTINATION ${KDE_INSTALL_INCLUDEDIR}/PlasmaActivitiesStats COMPONENT Devel
   )

# Write out the features
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
plasma-activities-stats (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:00:34 +0100

plasma-activities-stats (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Aug 2024 00:22:53 +0100

plasma-activities-stats (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:18 +0200

plasma-activities-stats (6.1.0-3) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 19 Jul 2024 05:49:06 +0200

plasma-activities-stats (6.1.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Jul 2024 12:33:27 +0200

plasma-activities-stats (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update d/watch as the package has moved from Frameworks to Plasma.
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 26 Jun 2024 18:56:25 +0200

kactivities-stats (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:14:24 +0200

kactivities-stats (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015435).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:02:13 +0100

kactivities-stats (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:38 +0200

kactivities-stats (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:56 +0100

kactivities-stats (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:28 +0100

kactivities-stats (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:06 +0100

kactivities-stats (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:29 +0100

kactivities-stats (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:01 +0100

kactivities-stats (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:43 +0200

kactivities-stats (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:35 +0200

kactivities-stats (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Update symbols from build for 5.96.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:03 +0200

kactivities-stats (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Update symbols from build for 5.94.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:05 +0200

kactivities-stats (5.93.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Remove inactive Uploaders.
  * Remove the unused debian/meta/ stuff.
  * CI: enable again the blhc job.
  * Remove no more existing header from the 'acc' autopkgtest config.

 -- Pino Toscano <pino@debian.org>  Sun, 15 May 2022 10:09:54 +0200

kactivities-stats (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:46 +0200

kactivities-stats (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

kactivities-stats (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:37 +0900



=== debian/control ===
Source: plasma-activities-stats
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.2.0~),
               libboost-dev (>= 1.49~),
               libkf6config-dev (>= 6.2.0~),
               libplasmaactivities-dev (>= 6.1.5~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-tools-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-activities-stats
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities-stats
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities-stats
Rules-Requires-Root: no

Package: libplasmaactivitiesstats-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libplasmaactivitiesstats1 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Recommends: libplasmaactivitiesstats-doc (= ${source:Version}),
Description: development files for plasma-activities-stats
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for plasma-activities-stats.

Package: libplasmaactivitiesstats-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: usage data collected by the activities system (documentation)
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.
Section: doc

Package: libplasmaactivitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.

## plasma-activities-stats 6.2.5

=== debian/changelog ===
plasma-activities-stats (6.2.5-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 6.2.4-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 22 Dec 2024 22:33:45 +0000]
  * Update symbols file for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 18 Jan 2025 09:41:50 +0000

plasma-activities-stats (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:22:31 +0100

plasma-activities-stats (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:36:37 +0100

plasma-activities-stats (6.2.3-2) unstable; urgency=medium

  * Team upload.
  * CI: update/simplify configuration.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Nov 2024 21:55:59 +0100

plasma-activities-stats (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:31 +0100

plasma-activities-stats (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 18:21:44 +0200

plasma-activities-stats (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:46 +0200

plasma-activities-stats (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:03 +0200

plasma-activities-stats (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:23 +0200

=== debian/control ===
Source: plasma-activities-stats
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.5.0~),
               libboost-dev (>= 1.49~),
               libkf6config-dev (>= 6.5.0~),
               libplasmaactivities-dev (>= 6.2.5~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-tools-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-activities-stats
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-activities-stats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-activities-stats.git
Rules-Requires-Root: no

Package: libplasmaactivitiesstats-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libplasmaactivitiesstats1 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Recommends: libplasmaactivitiesstats-doc (= ${source:Version}),
Description: development files for plasma-activities-stats
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for plasma-activities-stats.

Package: libplasmaactivitiesstats-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: usage data collected by the activities system (documentation)
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.
Section: doc

Package: libplasmaactivitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.

## plasma-activities-stats 6.2.90

=== debian/changelog ===
plasma-activities-stats (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 07:45:34 +0000

plasma-activities-stats (6.2.5-0ubuntu2) plucky; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 01 Jan 2025 00:50:58 +0000

plasma-activities-stats (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:02:34 +0000

plasma-activities-stats (6.2.4-0ubuntu2) plucky; urgency=medium

  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 18:06:28 +0000

plasma-activities-stats (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:15:03 +0000

plasma-activities-stats (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * Update symbols from build logs.
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:58:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: plasma-activities-stats
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.5.0~),
+               extra-cmake-modules (>= 6.10.0~),
                libboost-dev (>= 1.49~),
-               libkf6config-dev (>= 6.5.0~),
-               libplasmaactivities-dev (>= 6.2.5~),
+               libkf6config-dev (>= 6.10.0~),
+               libplasmaactivities-dev (>= 6.2.90~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.6.0+dfsg~),
-               qt6-tools-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
+               qt6-declarative-dev (>= 6.7.0+dfsg~),
+               qt6-tools-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-activities-stats
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-activities-stats
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-activities-stats.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities-stats
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities-stats
 Rules-Requires-Root: no
 
 Package: libplasmaactivitiesstats-dev
@@ -28,7 +29,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libplasmaactivitiesstats1 (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.7.0+dfsg~),
          ${misc:Depends},
 Recommends: libplasmaactivitiesstats-doc (= ${source:Version}),
 Description: development files for plasma-activities-stats

## plasma-activities-stats 6.3.2

=== debian/changelog ===
plasma-activities-stats (6.3.2-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 6.2.4-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 22 Dec 2024 22:33:45 +0000]
  * Update symbols file for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 14 Mar 2025 03:54:49 +0000

plasma-activities-stats (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:53:14 +0100

plasma-activities-stats (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:49 +0100

plasma-activities-stats (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:53:02 +0100

plasma-activities-stats (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:39:01 +0100

=== debian/control ===
Source: plasma-activities-stats
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.10.0~),
               libboost-dev (>= 1.49~),
               libkf6config-dev (>= 6.10.0~),
               libplasmaactivities-dev (>= 6.3.2~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-tools-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-activities-stats
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-activities-stats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-activities-stats.git
Rules-Requires-Root: no

Package: libplasmaactivitiesstats-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libplasmaactivitiesstats1 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Recommends: libplasmaactivitiesstats-doc (= ${source:Version}),
Description: development files for plasma-activities-stats
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for plasma-activities-stats.

Package: libplasmaactivitiesstats-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: usage data collected by the activities system (documentation)
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.
Section: doc

Package: libplasmaactivitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.

## plasma-activities-stats 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.1.5")
+set(PROJECT_VERSION "6.3.4")
 set(PROJECT_VERSION_MAJOR 6)
 project(PlasmaActivitiesStats VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.1.5")
-set(QT_MIN_VERSION "6.6.0")
-set(KF6_MIN_VERSION "6.2.0")
+set(PROJECT_DEP_VERSION "6.3.4")
+set(QT_MIN_VERSION "6.7.0")
+set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -51,8 +51,8 @@
    SOVERSION 1
    )
 ecm_set_disabled_deprecation_versions(
-    QT 6.4.0
-    KF 5.102.0
+    QT 6.7.0
+    KF 6.4.0
 )
 
 add_subdirectory(src)

=== tests/model/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
project (PlasmaActivitiesStatsTestApp)

find_package (Qt6 REQUIRED NO_MODULE COMPONENTS Core Gui Widgets Test Quick QuickWidgets)

if (NOT WIN32)

add_executable (PlasmaActivitiesStatsTestApp)

target_include_directories (PlasmaActivitiesStatsTestApp PRIVATE
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/autotests
   ${CMAKE_BINARY_DIR}/src
)

qt_wrap_ui(PlasmaActivitiesStatsTestApp_SRCS
   window.ui
)

qt_add_resources(PlasmaActivitiesStatsTestApp_SRCS
   main.qrc
)

target_sources(PlasmaActivitiesStatsTestApp PRIVATE
   ${PlasmaActivitiesStatsTestApp_SRCS}
   window.cpp
   main.cpp
)

target_link_libraries (PlasmaActivitiesStatsTestApp
   Qt6::Core
   Qt6::Gui
   Qt6::Widgets
   Qt6::Test
   Qt6::Quick
   Qt6::QuickWidgets

   Plasma::Activities
   Plasma::ActivitiesStats
)

endif ()

=== debian/changelog ===
plasma-activities-stats (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:01:07 +0200

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                extra-cmake-modules (>= 6.10.0~),
                libboost-dev (>= 1.49~),
                libkf6config-dev (>= 6.10.0~),
-               libplasmaactivities-dev (>= 6.3.2~),
+               libplasmaactivities-dev (>= 6.3.4~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.6.0+dfsg~),
                qt6-tools-dev (>= 6.6.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/plasma-activities-stats
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-activities-stats
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-activities-stats.git

## plasma-activities-stats 6.3.5

=== debian/changelog ===
plasma-activities-stats (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:35:01 +0100

plasma-activities-stats (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:57:00 +0100

plasma-activities-stats (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:21:57 +0000

plasma-activities-stats (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 09:22:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: plasma-activities-stats
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
                extra-cmake-modules (>= 6.10.0~),
                libboost-dev (>= 1.49~),
                libkf6config-dev (>= 6.10.0~),
-               libplasmaactivities-dev (>= 6.3.4~),
+               libplasmaactivities-dev (>= 6.3.5~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.6.0+dfsg~),
                qt6-tools-dev (>= 6.6.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-activities-stats
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-activities-stats
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-activities-stats.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities-stats
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities-stats
 Rules-Requires-Root: no
 
 Package: libplasmaactivitiesstats-dev

## plasma-activities-stats 6.4.2

=== debian/changelog ===
plasma-activities-stats (6.4.2-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 13:09:47 +0000

plasma-activities-stats (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:55:14 +0000

plasma-activities-stats (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 25 Jun 2025 00:07:16 +0000

plasma-activities-stats (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:43:05 +0000

plasma-activities-stats (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:13:04 +0000

plasma-activities-stats (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:26:34 +0000

plasma-activities-stats (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:22:00 +0000

plasma-activities-stats (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:23:40 +0000

plasma-activities-stats (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 15:11:10 +0000

plasma-activities-stats (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:43:01 +0000

plasma-activities-stats (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:14:18 +0000

plasma-activities-stats (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:47:11 +0000

plasma-activities-stats (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:26:30 +0000

plasma-activities-stats (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:17:48 +0000

plasma-activities-stats (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:29:06 +0000

plasma-activities-stats (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 14:33:27 +0000

plasma-activities-stats (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:22:57 +0000

plasma-activities-stats (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:40:00 +0000

plasma-activities-stats (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:16:50 +0000

plasma-activities-stats (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:50:15 +0000

plasma-activities-stats (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 13:11:44 +0000

plasma-activities-stats (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:26:35 +0000

plasma-activities-stats (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:57:01 +0000

plasma-activities-stats (6.0.1-0neon) jammy; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:22:37 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

## plasma-activities-stats 6.4.3

=== debian/changelog ===
plasma-activities-stats (6.4.3-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 12:42:39 +0000

plasma-activities-stats (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:24:00 +0000

## plasma-activities-stats 6.4.4

=== debian/changelog ===
plasma-activities-stats (6.4.4-0ubuntu1~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:13 +0200

plasma-activities-stats (6.4.4-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 27 Aug 2025 10:37:32 +0200

plasma-activities-stats (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:30:01 +0100

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.14.0~),
                libboost-dev (>= 1.49~),
-               libkf6config-dev (>= 6.10.0~),
-               libplasmaactivities-dev (>= 6.3.5~),
+               libkf6config-dev (>= 6.14.0~),
+               libplasmaactivities-dev (>= 6.4.4~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.6.0+dfsg~),
-               qt6-tools-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-activities-stats
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-activities-stats
@@ -29,7 +29,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libplasmaactivitiesstats1 (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libplasmaactivitiesstats-doc (= ${source:Version}),
 Description: development files for plasma-activities-stats

## plasma-activities-stats 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,12 @@
 # vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.3.4")
-set(PROJECT_VERSION_MAJOR 6)
+set(PROJECT_VERSION "6.4.5")
 project(PlasmaActivitiesStats VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.3.4")
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(PROJECT_DEP_VERSION "6.4.5")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -52,7 +51,7 @@
    )
 ecm_set_disabled_deprecation_versions(
     QT 6.7.0
-    KF 6.4.0
+    KF 6.12.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
plasma-activities-stats (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:03:00 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                extra-cmake-modules (>= 6.14.0~),
                libboost-dev (>= 1.49~),
                libkf6config-dev (>= 6.14.0~),
-               libplasmaactivities-dev (>= 6.4.4~),
+               libplasmaactivities-dev (>= 6.4.5~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.8.0+dfsg~),

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma/([\d.]+)/plasma-activities-stats-([\d.]+)\.tar\.xz

## plasma-activities-stats 6.4.5+p24.04+vstable+git20250928.1015

=== debian/changelog ===
plasma-activities-stats (6.4.5+p24.04+vstable+git20250928.1015-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 10:15:41 +0000

plasma-activities-stats (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:52:22 +0000

plasma-activities-stats (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:33:56 +0000

## plasma-activities-stats 6.4.5+p24.04+vstable+git20251004.0601

=== debian/changelog ===
plasma-activities-stats (6.4.5+p24.04+vstable+git20251004.0601-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 06:01:01 +0000

## plasma-activities-stats 6.4.5+p24.04+vstable+git20251011.2330

=== debian/changelog ===
plasma-activities-stats (6.4.5+p24.04+vstable+git20251011.2330-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:30:09 +0000

## plasma-activities-stats 6.4.5+p24.04+vstable+git20251016.2249

=== debian/changelog ===
plasma-activities-stats (6.4.5+p24.04+vstable+git20251016.2249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 22:49:14 +0000

## plasma-activities-stats 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.4.91")
 project(PlasmaActivitiesStats VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.4.5")
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(PROJECT_DEP_VERSION "6.4.91")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -21,6 +21,7 @@
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEGitCommitHooks)
+include(KDEClangFormat)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMGenerateExportHeader)
 include(ECMGenerateHeaders)

=== tests/CMakeLists.txt ===
add_subdirectory(model)

=== debian/changelog ===
plasma-activities-stats (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update upstream source repo URL.
  * Add/update Bhushan Shah’s key in upstream keyring.
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Use plasma-devel@kde.org as the upstream contact.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:15:58 +0200

=== debian/control ===
Source: plasma-activities-stats
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               libboost-dev (>= 1.49~),
               libkf6config-dev (>= 6.18.0~),
               libplasmaactivities-dev (>= 6.4.91~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-tools-dev (>= 6.6.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-activities-stats
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-activities-stats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-activities-stats.git
Rules-Requires-Root: no

Package: libplasmaactivitiesstats-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libplasmaactivitiesstats1 (= ${binary:Version}),
         qt6-base-dev (>= 6.9.0~),
         ${misc:Depends},
Recommends: libplasmaactivitiesstats-doc (= ${source:Version}),
Description: development files for plasma-activities-stats
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for plasma-activities-stats.

Package: libplasmaactivitiesstats-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: usage data collected by the activities system (documentation)
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.
Section: doc

Package: libplasmaactivitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.

## plasma-activities-stats 6.5.0

=== debian/changelog ===
plasma-activities-stats (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:59:23 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                extra-cmake-modules (>= 6.18.0~),
                libboost-dev (>= 1.49~),
                libkf6config-dev (>= 6.18.0~),
-               libplasmaactivities-dev (>= 6.4.91~),
+               libplasmaactivities-dev (>= 6.5.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.6.0+dfsg~),
@@ -21,7 +21,6 @@
 Homepage: https://invent.kde.org/plasma/plasma-activities-stats
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-activities-stats
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-activities-stats.git
-Rules-Requires-Root: no
 
 Package: libplasmaactivitiesstats-dev
 Section: libdevel

## plasma-activities-stats 6.5.0+p24.04+vstable+git20251028.1224

=== debian/changelog ===
plasma-activities-stats (6.5.0+p24.04+vstable+git20251028.1224-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 12:24:38 +0000

plasma-activities-stats (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:50:00 +0000

## plasma-activities-stats 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.1")
 project(PlasmaActivitiesStats VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.4.91")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-activities-stats (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:14:57 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                extra-cmake-modules (>= 6.18.0~),
                libboost-dev (>= 1.49~),
                libkf6config-dev (>= 6.18.0~),
-               libplasmaactivities-dev (>= 6.5.0~),
+               libplasmaactivities-dev (>= 6.5.1~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.6.0+dfsg~),

## plasma-activities-stats 6.5.1+p24.04+vstable+git20251029.0828

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 project(PlasmaActivitiesStats VERSION ${PROJECT_VERSION})
 
 set(PROJECT_DEP_VERSION "6.5.1")

=== debian/changelog ===
plasma-activities-stats (6.5.1+p24.04+vstable+git20251029.0828-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:28:15 +0000

plasma-activities-stats (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:18:11 +0000

=== debian/control ===
Source: plasma-activities-stats
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               libboost-dev,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kactivities-stats
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma-activities-stats.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma-activities-stats
Maintainer: Neon CI <neon@kde.org>

Package: plasma-activities-stats
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kactivities6-stats, kf6-kactivities-stats, libkf6activitiesstats1
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.

Package: plasma-activities-stats-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: plasma-activities-stats (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends}
Replaces: kactivities6-stats-dev,
          kf6-kactivities-stats-dev,
          libkf6activitiesstats-dev,
          libkf6activitiesstats-doc
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for plasma-activities-stats.

Package: libkf6activitiesstats-doc
Architecture: all
Depends: plasma-activities-stats, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6activitiesstats1
Architecture: all
Depends: plasma-activities-stats, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6activitiesstats-dev
Architecture: all
Depends: plasma-activities-stats-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kactivities6-stats
Architecture: all
Depends: plasma-activities-stats, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kactivities6-stats-dev
Architecture: all
Depends: plasma-activities-stats-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-kactivities-stats
Architecture: all
Depends: plasma-activities-stats, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-kactivities-stats-dev
Architecture: all
Depends: plasma-activities-stats-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
